### Name: simPower
### Title: Simulation of power for the methods in binmto
### Aliases: simPower simPowerI
### Keywords: htest

### ** Examples


# three groups are to be tested vs. a control
# test the null-hypothesis that all treatments have the same proportion of success: H0diff=c(0,0,0)
# assume that the proportion of success is 0.2 in the control group, and 0.3,0.4,0.5 in the three treatment groups
# simulate power for balanced designs with 20, 30,...,100 observations per group

# create a matrix for the sample sizes to be used for simulation and have a look at it:

ni<-matrix(rep(seq(20,100,10), times=4), ncol=4)
ni

#
# two-sided testing:

simPower(H0diff=c(0.1,0.1,0.1), pH1=c(0.2,0.3,0.4,0.5), n=ni, n.sim=1000, alternative="two.sided")

# one-sided:

simPower(H0diff=c(0.1,0.1,0.1), pH1=c(0.2,0.3,0.4,0.5), n=ni, n.sim=1000, alternative="greater")

# this will not make sense:
#  simPower(H0diff=c(0.1,0.1,0.1), pH1=c(0.2,0.3,0.4,0.5), n=ni, n.sim=1000, alternative="less")




